Subject: [PATCH v2 4/4] brcmfmac: Fix OOB interrupt not working for BCM43362

From: [email-masked] (Arend van Spriel)
Date: Tue, 17 Jun 2014 18:37:05 +0200

On 17-06-14 16:32, Hans de Goede wrote:
> Hi,
>
> On 06/17/2014 01:49 PM, Arend van Spriel wrote:
>> On 16-06-14 19:56, Hans de Goede wrote:
>>> It has taken me a long long time to get the OOB interrupt working on the
>>> AP6210 sdio wifi/bt module found on various Allwinner A20 boards. In the
>>> end I found these magic register pokes in the cubietruck kernel tree:
>>> https://github.com/cubieboard2/linux-sunxi/commit/7f08ba395617d17e7a711507503d89a50406fe7a
>>>
>>> I'm not entirely sure if this specific to the AP6210 module, or if this
>>> should be done for all BCM43362 sdio devices.
>>
>> Hi Hans,
>>
>> I was still not sure about this one so I asked around. Apart from the nvram settings I emailed earlier one more is needed:
>>
>> sd_gpout=1
>> sd_oobonly=1
>> sd_gpval=1
>> *muxenab=0x11*
>>
>> Could you give that a try?
>
> I seriously doubt that is going to do anything at all, all 4 these keywords do not
> show up when running strings on brcmfmac43362-sdio.bin, where as all the
> keywords used in the brcmfmac43362-sdio.txt shipped with the android on ap6210
> equipped boards do show up, confirming that the keywords are encoded in plain text
> in the firmware file.
>
> Let me know if want me to give it a try anyways and I'll do so.
>
> Perhaps these keywords need a newer firmware version then the one in the
> linux-firmware repository ?

I will checkout the firmware release and see what is built there.

Thanks,
Arend